function K_Raoult = CalcKappaRaoult(nC,nH,nO)
% Calculate kappa using Raoult's law


Density_g_per_cm3 = CalcDensity(nC,nH,nO);
Mw_g_per_mol = 12*nC + nH + 16*nO;
K_Raoult = 18.02/1 * Density_g_per_cm3 / Mw_g_per_mol;
end