function Topping_Fig2a()

% Reproduce Fig.2a in
% Topping, D. An analytical solution to calculate bulk mole fractions for
% any number of components in aerosol droplets after considering partitioning 
% to a surface layer. Geoscientific Model Development 3, 635 (2010).


% Discrepancy from the paper is minor.

Ddry = 100e-9; % Topping used radius
Results = Topping_BulkFrac(Ddry);

% Plot
Fig1 = figure;
LineWidth = 2;
FontSize = 15;
Fig1.Units = 'normalized';
Fig1.Position = [0.5 0.3 0.2 0.6];
ax1 = subplot(5,1,1);
ax2 = subplot(5,1,2);
ax3 = subplot(5,1,3);
ax4 = subplot(5,1,4);
ax5 = subplot(5,1,5);
linkaxes([ax1,ax2,ax3,ax4,ax5],'x')
xlim(ax1,[80,260])
xlabel(ax5,'Wet radius [nm]')
ylabel(ax1,'Malic')
ylabel(ax2,'cis-Pinonic')
ylabel(ax3,'Malonic')
ylabel(ax4,'Glutaric')
ylabel(ax5,'SR-Fulvic acid')

ax1.FontSize = FontSize;
ax2.FontSize = FontSize;
ax3.FontSize = FontSize;
ax4.FontSize = FontSize;
ax5.FontSize = FontSize;

hold (ax1,'on')
hold (ax2,'on')
hold (ax3,'on')
hold (ax4,'on')
hold (ax5,'on')
 
plot(ax1,Results.D_m/2 * 1e9, Results.BulkFrac_malic,'b-','LineWidth',LineWidth)
plot(ax2,Results.D_m/2 * 1e9, Results.BulkFrac_cis_pinonic,'b-','LineWidth',LineWidth)
plot(ax3,Results.D_m/2 * 1e9, Results.BulkFrac_malonic,'b-','LineWidth',LineWidth)
plot(ax4,Results.D_m/2 * 1e9, Results.BulkFrac_glutaric,'b-','LineWidth',LineWidth)
plot(ax5,Results.D_m/2 * 1e9, Results.BulkFrac_SRfulvic,'b-','LineWidth',LineWidth)

ax1.LineWidth = LineWidth;
ax2.LineWidth = LineWidth;
ax3.LineWidth = LineWidth;
ax4.LineWidth = LineWidth;
ax5.LineWidth = LineWidth;

ylim(ax1,[0.8 1])
ylim(ax2,[0 0.4])
ylim(ax3,[0.85 0.96])
ylim(ax4,[0.8 0.95])
ylim(ax5,[0 0.4])

end