function partCoeff = partitionAerosol(CStar, C_OM_1D_all)

% Code adapted from Chuan et al. (2016).


% Initially assume everything is condensed.  Cummulative sum of total organics in VBS would be OA concentration up to that bin.

sumConc_all = cumsum(C_OM_1D_all); 

xiGuess = sumConc_all ./ CStar;% - 1;
xiGuess = min(xiGuess,1); 
xiGuess = max(xiGuess,0); 
xi = xiGuess;


% Handle zero value in VBS bin

FirstNonZeroBin = find(C_OM_1D_all,1);
xi(1:FirstNonZeroBin-1) = 1; % Assume xi = 1 for non-existent bin
    

% Determine the partitioning coefficient
err = 1;
maxErr = 1e-4;
while err > maxErr
    CsOA = xi .* C_OM_1D_all;
    COA = sum(CsOA);
    xiNew = 1 ./ (CStar / COA + 1);
    err = max(abs(log(xi ./ xiNew)));
    xi = xiNew;
end


partCoeff = xi;